Bug 158236

Summary: Excessively long BPEL validation with HL7 project
Product: soa Reporter: Nikita Krjukov <supernikita>
Component: BPELAssignee: Sergey Lunegov <slunegov>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: mmirilovic, sustaining
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: 65fixes4-verified
Issue Type: DEFECT Exception Report:
Attachments: Zipped project

Description Nikita Krjukov 2009-02-09 21:47:10 UTC
There is a performance problem with BPEL validation of the attached project.
Comment 1 Nikita Krjukov 2009-02-09 21:48:53 UTC
Created attachment 76757 [details]
Zipped project
Comment 2 Nikita Krjukov 2009-02-09 21:49:45 UTC
The main problem is in the Schema model module. An optimization required. 
Comment 3 Nikita Krjukov 2009-02-09 23:00:23 UTC
Fixed http://hg.netbeans.org/soa-dev/rev/1e5d52e005cb
Comment 4 Nikita Krjukov 2009-02-14 22:43:41 UTC
Pushed changes to trunk as a preparation for adding to NetBeans 6.5 fixes3 
http://hg.netbeans.org/main/rev/2793d1eafcf2
Comment 5 Quality Engineering 2009-02-18 10:48:31 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2793d1eafcf2
User: supernikita@netbeans.org
Log: Fix the issue #158236 - Excessively long BPEL validation with HL7 project
Comment 6 Marian Mirilovic 2009-03-02 08:50:34 UTC
supernikita/slunegov,
could you please proceed with porting bugfix into release65_fixes clone ?
http://wiki.netbeans.org/NetBeans6.5.1BugFixes
Thanks in advance.
Comment 7 Marian Mirilovic 2009-03-04 08:24:55 UTC
without additional info from devs side - move to the next patch
Comment 8 Nikita Krjukov 2009-03-16 14:57:50 UTC
Additional tests are added to xml.schema.model module 
Also tests helped fixing couple mistakes. 
See changeset: http://hg.netbeans.org/main/rev/5565ea3ec83a
Comment 9 Nikita Krjukov 2009-03-18 18:17:19 UTC
Additional change set: http://hg.netbeans.org/main/rev/95fb349e6aac
It replaces simple listeners with weak once. It helps to remove unused schema models from memory.
Comment 10 Quality Engineering 2009-03-18 22:47:48 UTC
Integrated into 'main-golden', will be available in build *200903181604* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5565ea3ec83a
User: supernikita@netbeans.org
Log: Fix the issue #158236 - Excessibely long BPEL validation with HL7 project (JUnit tests added)
Comment 11 Quality Engineering 2009-03-21 08:38:43 UTC
Integrated into 'main-golden', will be available in build *200903210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/95fb349e6aac
User: supernikita@netbeans.org
Log: Fix the issue #158236 - Excessively long BPELvalidation with HL7 project (replaced simple listeners to weak form + add a test)
Comment 12 Vitaly Bychkov 2009-03-24 15:57:51 UTC
Verified in trunk with build netbeans-hudson-trunk-5360
Comment 13 Nikita Krjukov 2009-03-25 15:49:59 UTC
Be aware that the fix includes 4 changesets in trunk!
Comment 14 Nikita Krjukov 2009-03-26 18:14:22 UTC
The full list of changesets are going to be migrated to the release65_fixes from the trunk (in historical order): 
http://hg.netbeans.org/main/rev/2793d1eafcf2
http://hg.netbeans.org/main/rev/5565ea3ec83a
http://hg.netbeans.org/main/rev/df14cae92d04
http://hg.netbeans.org/main/rev/2793d1eafcf2
Comment 15 Nikita Krjukov 2009-03-26 18:18:35 UTC
The previous post was wrong. Here is correct list: 
http://hg.netbeans.org/main/rev/2793d1eafcf2
http://hg.netbeans.org/main/rev/df14cae92d04
http://hg.netbeans.org/main/rev/5565ea3ec83a
http://hg.netbeans.org/main/rev/95fb349e6aac

For other case the list can be also taken with the following link:
http://hg.netbeans.org/main/log?rev=158236
Comment 16 Nikita Krjukov 2009-04-08 12:35:13 UTC
Fixed in release65_fixes 
http://hg.netbeans.org/release65_fixes/rev/6383143b133a
Comment 17 pgebauer 2009-04-08 13:59:23 UTC
The status whiteboard "65fixes4-candidate" has been removed.
At this time our proactive patches for the NetBeans 6.5.x IDE have concluded.

If you own a Sun service plan contract for NetBeans, you may wish to contact
Sun Service http://www.sun.com/contact/support.jsp to request a fix via the
product defect escalation process.

For more information on purchasing a Sun service plan contract for NetBeans,
refer to the service plan item "Sun Software Service Plans (S3P) for Developers"
in the Sun Service table found on our NetBeans Support Resources
page http://www.netbeans.org/kb/support.html
Comment 18 Sergey Lunegov 2009-04-09 07:09:06 UTC
Please consider as candidate for patch4 again.
Comment 19 jm206997 2009-05-11 11:55:18 UTC
Verified the fix using the build 20090508-0102 in GFESBv2.1;
As per developer(Raghunadh.Teegavarapu@Sun.COM) says, Validated the Bpel module(Schema model) in the attached project
and No issues found. The Validation has been taken hardly less than 20 seconds; 
So, do not observed any performance related issue during BPEL Module validation. 
Hence closing this ticket.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo